Skip to main content
GET
/
v3
/
llm-gateway
/
providers
/
options
Get available provider options
curl --request GET \
  --url https://api.example.com/v3/llm-gateway/providers/options \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v3/llm-gateway/providers/options"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v3/llm-gateway/providers/options', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "api": "v3",
  "data": [
    {
      "provider": "openai",
      "display_name": "OpenAI",
      "credential_types": [
        "api_key"
      ],
      "models": [
        "gpt-5",
        "gpt-4",
        "gpt-4o-mini",
        "gpt-3.5-turbo"
      ]
    },
    {
      "provider": "anthropic",
      "display_name": "Anthropic",
      "credential_types": [
        "api_key"
      ],
      "models": [
        "sonnet-3.7",
        "haiku-3",
        "opus-3"
      ]
    },
    {
      "provider": "vertex_ai",
      "display_name": "Vertex AI",
      "credential_types": [
        "gcp_service_account"
      ],
      "models": [
        "gemini-2.5-pro",
        "gemini-2.5-flash"
      ]
    },
    {
      "provider": "databricks",
      "display_name": "Databricks",
      "credential_types": [
        "api_key",
        "oauth2_client_credentials"
      ],
      "models": [
        "databricks-meta-llama-3-1-405b-instruct"
      ]
    }
  ]
}
{
  "api_version": "3.0",
  "kind": "ERROR",
  "error": {
    "code": 400,
    "message": "Resource Not Found",
    "errors": [
      {
        "reason": "ResourceNotFoundException",
        "message": "Resource Not Found",
        "help": "<string>"
      }
    ]
  }
}
{
  "api_version": "3.0",
  "kind": "ERROR",
  "error": {
    "code": 400,
    "message": "Resource Not Found",
    "errors": [
      {
        "reason": "ResourceNotFoundException",
        "message": "Resource Not Found",
        "help": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Available provider options

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object[]

Available models for each supported provider